package com.example.conversornuevo;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;

import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.Toast;

import com.example.conversornuevo.databinding.ActivityMainBinding;

import static com.example.conversornuevo.Conversion.convertirADolares;
import static com.example.conversornuevo.Conversion.convertirAEuros;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    public final double RATIO = 0.9;
    private ActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //activity_main.xml -> ActivityMainBinding
        binding = ActivityMainBinding.inflate(getLayoutInflater());
        View view = binding.getRoot();
        setContentView(view);
        //botón convertir en activity_main.xml
        binding.convertir.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        if (view == binding.convertir) {
            try {
                if (binding.eurosADolares.isChecked()) {
                    binding.dolares.setText(convertirADolares(binding.euros.getText().toString(), RATIO));
                } else {
                    binding.euros.setText(convertirAEuros(binding.dolares.getText().toString(), RATIO));
                }
            } catch (NumberFormatException e) {
                Toast.makeText(this, "Error en la conversión: " + e.getMessage(), Toast.LENGTH_SHORT).show();
            }
        }
    }
}